Subject: Re: [PATCH v2] clean: add --null option

From: Ross Lagerwall <[email-masked]>
Date: Wed, 18 Apr 2012 18:59:14 +0200

On 04/16/2012 10:14 PM, Junio C Hamano wrote:
> I suspect that older days "git clean" was a scripted Porcelain around a
> plumbing (perhaps ls-files?---I didn't bother digging its history as I do
> not care too deeply about "git clean" which I do not use myself).

Do you just use ls-files directly?

>  If we
> have piled so many features into "git clean" after the rewrite-to-C to
> make it impossible to express what "git clean" _would_ do in terms of
> "ls-files", perhaps that is what needs to be fixed, so that we can express
> "git clean --some-set-of-options" as:
> 
>     git ls-files -z --set-of-options-equivalent-to-what-is-given-to-clean |
>     xargs -0 rm -fr
> 

I agree that a --null option to git-clean is unnecessary if git-ls-files
is used. It seems like they can be made pretty much equivalent except
that git-ls-files doesn't seem to have a way of listing "only files" or
"only directories"?

-- 
Ross Lagerwall